import org.jetbrains.kotlin.gradle.dsl.KotlinVersion
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.*
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.plugin.xomrk

buildscript {
	repositories {
		mavenCentral()
		maven("https://maven.landgrafhomyak.ru/")
	}

	dependencies {
		classpath("ru.landgrafhomyak.kotlin:kotlin-mpp-gradle-build:v0.3k2.1.10")
	}
}

group = "ru.landgrafhomyak.db"
version = "0.1"

repositories {
	mavenCentral()
	maven("https://maven.landgrafhomyak.ru/")
}

xomrk {
	kotlin {
		setCompatibilityWithKotlin(KotlinVersion.KOTLIN_2_0)
		optInContracts()
		explicitApi()

		jvm()

		sourceSets {
			jvmMain {
				dependencies {
					compileOnly("com.intellij:annotations:9.0.4")
					implementation("ru.landgrafhomyak.utility:highlevel-try-finally:0.4")
					implementation("ru.landgrafhomyak.utility:reference-counter:0.1")
				}
			}
		}
	}

	publishing {
		repositories {
			defineXomrkGiteaMavenRepo()
		}

		forceSetAllMavenArtifactsId(project.name)
	}
}